<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Employee register</title>
  <meta content="" name="description">
  <meta content="" name="keywords">

  <!-- Favicons -->
  <link href="../../static/img/favicon.png" th:href="@{/img/favicon.png}" rel="icon">
  <link href="../../static/img/apple-touch-icon.png" th:href="@{/img/apple-touch-icon.png}" rel="apple-touch-icon">

  <!-- Google Fonts -->
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link
      href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
      rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="../../static/vendor/bootstrap/css/bootstrap.min.css"
        th:href="@{/vendor/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
  <link href="../../static/vendor/bootstrap-icons/bootstrap-icons.css"
        th:href="@{/vendor/bootstrap-icons/bootstrap-icons.css}" rel="stylesheet">
  <link href="../../static/vendor/boxicons/css/boxicons.min.css" th:href="@{/vendor/boxicons/css/boxicons.min.css}"
        rel="stylesheet">
  <link href="../../static/vendor/quill/quill.snow.css" th:href="@{/vendor/quill/quill.snow.css}" rel="stylesheet">
  <link href="../../static/vendor/quill/quill.bubble.css" th:href="@{/vendor/quill/quill.bubble.css}"
        rel="stylesheet">
  <link href="../../static/vendor/remixicon/remixicon.css" th:href="@{/vendor/remixicon/remixicon.css}"
        rel="stylesheet">
  <link href="../../static/vendor/simple-datatables/style.css" th:href="@{/vendor/simple-datatables/style.css}"
        rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="../../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet">

</head>
<body>
<main>
  <div class="container">

    <section class="section register min-vh-100 d-flex flex-column align-items-center justify-content-center py-4">
      <div class="container">
        <div class="row justify-content-center">
          <div class="col-lg-4 col-md-6 d-flex flex-column align-items-center justify-content-center">

            <div class="d-flex justify-content-center py-4">
              <a th:href="@{/}" class="logo d-flex align-items-center w-auto">
                <img src="../../static/img/logo.png" th:src="@{/img/logo.png}">
                <span class="d-none d-lg-block">PitStop Car Service</span>
              </a>
            </div><!-- End Logo -->

            <div class="card mb-3">

              <div class="card-body">

                <div class="pt-4 pb-2">
                  <h5 class="card-title text-center pb-0 fs-4">Register new Employee</h5>
                  <p class="text-center small">Enter the personal details of the new employee</p>
                </div>

                <form class="row g-3 needs-validation" th:fragment="user-form"
                      th:action="@{/employee/register}"
                      th:object="${register}" method="post" novalidate>
                  <div class="col-12">
                    <label for="yourUsername" class="form-label" th:text="#{label.user.username}">Username</label>
                    <input type="text" name="name" class="form-control" th:field="*{userName}"
                           id="yourUsername" required>
                    <div class="invalid-feedback">Please, enter your username!</div>
                    <p style="color:red" class="error" th:errors="*{userName}">UserName error
                      placeholder</p>
                  </div>
                  <div class="col-12">
                    <label for="yourFirstName" class="form-label" th:text="#{label.user.firstName}">First
                      Name</label>
                    <input type="text" name="name" class="form-control" th:field="*{firstName}"
                           id="yourFirstName" required>
                    <div class="invalid-feedback">Please, enter your first name!</div>
                    <p style="color:red" class="error" th:errors="*{firstName}">First Name error
                      placeholder</p>
                  </div>
                  <div class="col-12">
                    <label for="yourLastName" class="form-label" th:text="#{label.user.lastName}">Last
                      Name</label>
                    <input type="text" name="name" class="form-control" th:field="*{lastName}"
                           id="yourLastName" required>
                    <div class="invalid-feedback">Please, enter your last name!</div>
                    <p style="color:red" class="error" th:errors="*{lastName}">Last Name error
                      placeholder</p>
                  </div>
                  <div class="col-12">
                    <label for="yourEmail" class="form-label" th:text="#{label.user.email}">Last
                      Name</label>
                    <input type="text" name="name" class="form-control" th:field="*{email}"
                           id="yourEmail" required>
                    <div class="invalid-feedback">Please, enter your email!</div>
                    <p style="color:red" class="error" th:errors="*{email}">Email error
                      placeholder</p>
                  </div>
                  <div class="col-12">
                    <label for="yourPassword" class="form-label" th:text="#{label.user.password}">Last
                      Name</label>
                    <input type="password" name="name" class="form-control" th:field="*{password}"
                           id="yourPassword" required>
                    <div class="invalid-feedback">Please, enter your password!</div>
                    <p style="color:red" class="error" th:errors="*{password}">Password error
                      placeholder</p>
                  </div>
                  <div class="col-12">
                    <label for="yourConfirmPass" class="form-label"
                           th:text="#{label.user.confirmPass}">Last Name</label>
                    <input type="password" name="name" class="form-control"
                           th:field="*{matchingPassword}" id="yourConfirmPass" required>
                    <div class="invalid-feedback">Please, confirm your password!</div>
                    <p style="color:red" class="error" th:errors="*{matchingPassword}">Matching
                      password error placeholder</p>
                  </div>
                  <div class="col-12">
                    <label for="phone" class="form-label"
                           th:text="#{label.user.phone}">Phone</label>
                    <input type="text" name="name" class="form-control" th:field="*{phone}"
                           id="phone" required>
                    <div class="invalid-feedback">Please, enter your phone!</div>
                    <p style="color:red" class="error" th:errors="*{phone}">Phone error
                      placeholder</p>
                  </div>
                  <div class="col-12">
                    <button class="btn btn-primary w-100" type="submit"
                            th:text="#{label.form.submit}">Create Account
                    </button>
                  </div>
                  <div class="col-12">
                    <p class="small mb-0">Already registered? <a th:href="@{/login}">Login</a></p>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>

    </section>

  </div>
</main><!-- End #main -->

<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
    class="bi bi-arrow-up-short"></i></a>

<!-- Vendor JS Files -->
<script src="../static/vendor/apexcharts/apexcharts.min.js"
        th:src="@{/vendor/apexcharts/apexcharts.min.js}"></script>
<script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"
        th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}"></script>
<script src="../static/vendor/chart.js/chart.min.js" th:src="@{/vendor/chart.js/chart.min.js}"></script>
<script src="../static/vendor/echarts/echarts.min.js" th:src="@{/vendor/echarts/echarts.min.js}"></script>
<script src="../static/vendor/quill/quill.min.js" th:src="@{/vendor/quill/quill.min.js}"></script>
<script src="../static/vendor/simple-datatables/simple-datatables.js"
        th:src="@{/vendor/simple-datatables/simple-datatables.js}"></script>
<script src="../static/vendor/tinymce/tinymce.min.js" th:src="@{/vendor/tinymce/tinymce.min.js}"></script>
<script src="../static/vendor/php-email-form/validate.js" th:src="@{/vendor/php-email-form/validate.js}"></script>

<!-- Template Main JS File -->
<script src="../../static/js/main.js" th:src="@{../js/main.js}"></script>

</body>
</html>